{% extends 'tmpl1/base.html' %}
{%  load static from staticfiles %}
{% block title%} ثبت نام {% endblock %}
{% block description%}{% endblock %}
{% block css %}
    <link rel="stylesheet" href="{% static 'theme1/css/parsley.css'%}"/>
{% endblock %}
{% block js %}
    <script src="{% static 'theme1/js/parsley.min.js'%}"></script>
    <script src="{% static 'theme1/js/parsley.fa.js'%}"></script>
{% endblock %}
{% block body %}
    <div class="container-fluid">
{% if error %}
    {% if Firstname %}
        <div class="alert alert-danger" role="alert">
        طول نام شما کوتاه است
        </div>
        <br/>
    {% endif %}
    {% if Lastname %}
        <div class="alert alert-danger" role="alert">
           طول نام خانوادگی  شما کوتاه است
        </div>
        <br/>
    {% endif %}
    {% if username_length %}
        <div class="alert alert-danger" role="alert">
    طول نام کاربری شما باید بیش از 6 کاراکتر و ترکیبی از حروف انگلیسی .اعداد و نقطه می تواند باشد
        </div>
        <br/>
    {% endif %}

    {% if username_confilict %}
        <div class="alert alert-danger" role="alert">
        نام کاربری شما قبلا ثبت نام شده است
        </div>
        <br/>
    {% endif %}
    {% if email_confilict %}
        <div class="alert alert-danger" role="alert">
        ایمیل شما قبلا ثبت نام شده است
        </div>
        <br/>
    {% endif %}
    {% if email %}
        <div class="alert alert-danger" role="alert">
        ایمیل شما صحیح نمیباشد
        </div>
        <br/>
    {% endif %}
    {% if Strength < 60 %}
        <div class="alert alert-danger" role="alert">
        امنیت پسورد شما ضعیف میباشد لطفا از حروف کوچک و بزرگ به همراه اعداد استفاده کنید(میتوانید از @-#-!-... استفاده کنید)
        </div>
        <br/>
    {% endif %}
    {% if passconfilict %}
        <div class="alert alert-danger" role="alert">
        این پسورد با تکرار ان یکسان نیست
        </div>
        <br/>
    {% endif %}
    {% if cellphone %}
        <div class="alert alert-danger" role="alert">
        شماره موبایل باید با 09 شروع شود و 11 کاراکتر باشد
        </div>
        <br/>
    {% endif %}
    {% if cellphone_confilict %}
        <div class="alert alert-danger" role="alert">
        شماره موبایل وارد شده تکراری است
        </div>
        <br/>
    {% endif %}
    {% if password %}
        <div class="alert alert-danger" role="alert">
        گذرواژه شما خالی میباشد
        </div>
        <br/>
    {% endif %}



{% endif %}

{% if register %}
    <div class="alert alert-success mt-5"  style="text-align:center" role="alert">
      ثبت نام شما با موفقیت انجام شد<a href="{% url 'login' %}" class="alert-link">ورود به حساب </a>

    </div>

    <br/>
{%else%}


{% endif %}


        <div class="row">
            <div class="col-md-4">
            </div>
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12">
                        <div class="singup">
                            <div class="title">نماگرام</div>
                            <div class="row">
                                <div class="col-md-2"></div>
                                <div class="col-md-8">
                                    <form method="post" data-parsley-validate id="signupform">
                                        {% csrf_token %}
                                        <div class="form-group">
                                            <label for="exampleInputfirstname">نام </label>
                                            <input type="text" class="form-control input" name="firstname" id="exampleInputfirstname" aria-describedby="emailHelp" placeholder="نام" value="{{request.firstname}}" data-parsley-minlength="2" data-parsley-trigger="keyup" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputlastname">نام خانوادگی </label>
                                            <input type="text" class="form-control input" name="lastname" id="exampleInputlastname" aria-describedby="emailHelp" placeholder="نام خانوادگی" value="{{request.lastname}}" data-parsley-minlength="2"  data-parsley-trigger="keyup" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputusername">نام کاربری </label>
                                            <input type="text" class="form-control input" name="username" id="exampleInputusername" aria-describedby="emailHelp" placeholder="نام کاربری" value="{{request.username}}" data-parsley-trigger="keyup" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">آدرس ایمیل </label>
                                            <input type="email" class="form-control input" name="email" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="ایمیل" data-parsley-type="email"  value="{{request.email}}"  data-parsley-trigger="keyup"  data-parsley-trigger="keyup" required>
                                            <small id="emailHelp" class="form-text text-muted">ما هیچوقت ایمیل شمارا با کسی به اشتراک نمیگزاریم.</small>
                                        </div>
                                        <div class="form-group">
                                            <label for="passwort">گذرواژه</label>
                                            <input type="password" class="form-control input" name="password" id="passwort" placeholder="******" required>
                                        </div>
                                         <div class="form-group">
                                            <label for="exampleInputPassword2">تکرار گذرواژه </label>
                                            <input type="password" class="form-control input" name="newpassword" id="exampleInputPassword2" data-parsley-equalto="#passwort" data-parsley-trigger="keyup" placeholder="******" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputcellphone">شماره همراه </label>
                                            <input type="text" class="form-control input"  name="cellphone" id="exampleInputcellphone"  placeholder="شماره همراه" value="{{request.cellphone}}" data-parsley-pattern="^09[0-9]{9}$" data-parsley-trigger="keyup" required>
                                            <small id="cellphoneHelp" class="form-text text-muted">شماره همراه باید با 09 آغاز شود.</small>
                                        </div>

                                        <div class="form-group form-check">
                                            <input type="checkbox" class="form-check-input input" id="exampleCheck1" required>
                                            <label class="form-check-label" for="exampleCheck1"> قوانین را میپذیرم </label>
                                        </div>
                                        <button type="submit" class="btn btn-primary mt-3" style="width:100%">ثبت نام</button>

                                    </form>
                                </div>
                                <div class="col-md-2"></div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
            <div class="col-md-4">
            </div>
        </div>
    </div>
    </div>

{% endblock %}
